org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class BulkheadFutureClassBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadFutureClassBean

    @Bulkhead
     @Asynchronous
     @ApplicationScoped
    public class BulkheadFutureClassBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BulkheadFutureClassBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<String>` `test(Future<String> result, Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkheadFutureClassBean

    public BulkheadFutureClassBean()

### Method Detail

#### test

    public Future<String> test(Future<String> result,
                               Barrier barrier)